Уязвимость BDU:2019-04347

Дата: 03.09.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-04347.

Наименование уязвимости: Уязвимость функции PushShortPixel (MagickCore/quantum-private.h) консольного графического редактора ImageMagick, позволяющая нарушителю выполнить произвольный код.

Описание уязвимости: Уязвимость функции PushShortPixel (MagickCore/quantum-private.h) консольного графического редактора ImageMagick вызвана чтением за границами буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, выполнить произвольный код
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.10 | Операционная система АО «НПО РусБИТех» Astra Linux 1.6 «Смоленск» | Прикладное ПО информационных систем ImageMagick Studio LLC ImageMagick 7.0.8-11 Q16 | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Canonical Ltd. Ubuntu 19.04 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS | Ubuntu 1804 LTS | Ubuntu 1810 | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Ubuntu 1904 |
Дата выявления: 03.09.2018.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)

Возможные меры по устранению:
Использование рекомендаций:
Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734

Для ImageMagick:
https://github.com/ImageMagick/ImageMagick/issues/1249
https://github.com/ImageMagick/ImageMagick/issues/1251

Для Debian GNU/Linux:
https://www.debian.org/security/2018/dsa-4316
https://lists.debian.org/debian-lts-announce/2018/10/msg00002.html

Для Ubuntu:
https://usn.ubuntu.com/4034-1/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-16413.

Тип ошибки CWE: CWE-125
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734
https://github.com/ImageMagick/ImageMagick/issues/1249
https://github.com/ImageMagick/ImageMagick/issues/1251
https://www.debian.org/security/2018/dsa-4316
https://lists.debian.org/debian-lts-announce/2018/10/msg00002.html
https://usn.ubuntu.com/4034-1/
https://www.securityfocus.com/bid/105241
https://nvd.nist.gov/vuln/detail/CVE-2018-16413

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *